Subject: Re: [PATCH] rev-parse: fix mismatch quoting of separator in the message

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Sep 2021 12:28:22 -0700

Taylor Blau <[email-masked]> writes:

> On Wed, Sep 22, 2021 at 06:17:45PM +0700, Bagas Sanjaya wrote:
>> There is a quoting mismatch quoting `--` separator in "no usage string
>> given...." message (`' instead of ``). Fix it.
>
> For what it's worth, I think that the `' style is typographic, since the
> pair look like English "smart quotes" (as opposed to straight quotes). I
> have no opinion about which is better, but I don't think the pre-image
> was necessarily a mistake.

I thought that we try to avoid "smart quotes" in our messages.

And we do not expect our users to be expecting to read their error
messages in markdown, so `--` is not a "Fix", either (do we have
many instances of such uses of backticks in messages already?).

Let's just stick to the true and tried pair of single quotes here.

Thanks.